## org.eclipse.wst.server.core.model
Class ClientDelegate

    java.lang.Object
      org.eclipse.wst.server.core.model.ClientDelegate

    public abstract class ClientDelegate

extends java.lang.Object

A launchable client is a client side application or test harness that can be launched (run) against a resource running on a server.

This abstract class is intended to be extended only by clients to extend the `clients` extension point.

Since:
  1.0

Constructor Summary
`ClientDelegate()`

Method Summary
`abstract IStatus` `launch(IServer server, java.lang.Object launchable, java.lang.String launchMode, ILaunch launch)` Opens or executes on the launchable.
`boolean` `supports(IServer server, java.lang.Object launchable, java.lang.String launchMode)` Returns true if this launchable can be run by this client.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientDelegate

    public ClientDelegate()

Method Detail

### supports

    public boolean supports(IServer server,
                            java.lang.Object launchable,
                            java.lang.String launchMode)

  Returns true if this launchable can be run by this client.

  Parameters:
    `server` - the server that the client is being run against
    `launchable` - the object to run on the server
    `launchMode` - the launch mode
  Returns:
    `true` if the client supports this combination, and `false` otherwise

### launch

    public abstract IStatus launch(IServer server,
                                   java.lang.Object launchable,
                                   java.lang.String launchMode,
                                   ILaunch launch)

  Opens or executes on the launchable.

  Parameters:
    `server` - the server that the client is being run against
    `launchable` - the object to run on the server
    `launchMode` - the launch mode
    `launch` - the launch of the server, if available
  Returns:
    status indicating what (if anything) went wrong